Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Macros | Functions
stopper.cpp File Reference
`#include "stopper.h"`
`#include "matchdefs.h"`
`#include "callcpp.h"`
`#include "permute.h"`
`#include "danerror.h"`
`#include "const.h"`
`#include "efio.h"`
`#include "scanutils.h"`
`#include "unichar.h"`
`#include "params.h"`
`#include "dict.h"`
`#include "image.h"`
`#include "ccutil.h"`
`#include "ratngs.h"`
`#include "ambigs.h"`
`#include <stdio.h>`
`#include <string.h>`
`#include <ctype.h>`
`#include <math.h>`

Go to the source code of this file.

## Classes

struct | EXPANDED_CHOICE

## Namespaces

namespace | tesseract

## Macros

#define | MAX_WERD_SIZE 100
#define | BestCertainty(Choices) (((VIABLE_CHOICE) first_node (Choices))->Certainty)
#define | BestRating(Choices) (((VIABLE_CHOICE) first_node (Choices))->Rating)
#define | BestFactor(Choices) (((VIABLE_CHOICE) first_node (Choices))->AdjustFactor)

## Functions

void | DeleteViableChoiceStruct (void *vcs)

## Macro Definition Documentation

#define BestCertainty | ( |  | Choices | ) | (((VIABLE_CHOICE) first_node (Choices))->Certainty)

Definition at line 63 of file stopper.cpp.

#define BestFactor | ( |  | Choices | ) | (((VIABLE_CHOICE) first_node (Choices))->AdjustFactor)

Definition at line 68 of file stopper.cpp.

#define BestRating | ( |  | Choices | ) | (((VIABLE_CHOICE) first_node (Choices))->Rating)

Definition at line 66 of file stopper.cpp.

#define MAX_WERD_SIZE 100

Definition at line 50 of file stopper.cpp.

## Function Documentation

void DeleteViableChoiceStruct | ( | void * | vcs | ) |

Definition at line 59 of file stopper.cpp.

{
delete (static_cast< VIABLE_CHOICE_STRUCT *>(vcs));
}